#pragma once
#include "Entity.h"
#define AISTATION_CREATENAME L"ai_station"
//AI车站
class AiStation :
    public Entity
{
public:
    AiStation();
    void SetState(int stateID, int lr);
    void Step() override;
    std::vector<int> stationID;
    std::vector<int> upper;
    std::vector<int> argbuff;
    bool bSetStationID = true;
    bool bFindUpperEntity = true;
    std::weak_ptr<AiStation> upperEntity;
    std::weak_ptr<AiStation> coreStation;
    int stationType = 0;//0安全区域、1危险区域
    EntityLayer* mainEntityLayer = nullptr;//主层
};

std::shared_ptr<Entity> CreateAiStation();